--[[--------------------------------------------------------------------
    Copyright (C) 2014 Johnny C. Lam.
    See the file LICENSE.txt for copying permission.
--]]--------------------------------------------------------------------

local _, Ovale = ...

local rawset = rawset
local setmetatable = setmetatable
local tostring = tostring

local L = nil
do
	-- Default value is the key itself.
	local MT = {
		__index = function(self, key)
			local value = tostring(key)
			rawset(self, key, value)
			return value
		end,
	}
	L = setmetatable({}, MT)
	Ovale.L = L
end

-- THE REST OF THIS FILE IS AUTOMATICALLY GENERATED.
-- http://wow.curseforge.com/addons/ovale/localization/

local locale = GetLocale()

------------------------ Locale: deDE ------------------------
if locale == "deDE" then

L["Affichage numérique"] = "Numerische Anzeige"
L["Affiche les deux prochains sorts et pas uniquement le suivant"] = "Zeige zwei Fähigkeiten und nicht nur eine"
L["Affiche le temps de recharge sous forme numérique"] = "Zeige die verbleibende Zeit in numerischer Form"
L["Afficher la fenêtre"] = "Ovale anzeigen"
L["Afficher les raccourcis clavier dans le coin inférieur gauche des icônes"] = "Zeige Tastaturkürzel in der linken unteren Ecke des Icons"
L["aoe"] = "Flächenschaden" -- Needs review
L["AOE"] = "Flächenschaden" -- Needs review
L["Apparence"] = "Aussehen"
-- L["Aura lag"] = ""
L["Blood"] = "Blut"
L["buff"] = "Stärkungszauber"
L["Cacher bouton vide"] = "Leere Buttons ausblenden"
L["Cacher dans les véhicules"] = "In Fahrzeugen ausblenden"
L["Cacher la fenêtre"] = "Ovale ausblenden"
L["Cacher si cible amicale ou morte"] = "Ausblenden bei freundlichem oder totem Ziel"
L["Caractère de portée"] = "Reichweitenanzeige"
L["cd"] = [=[Fähigkeit mit langer Abklingzeit.
So bald wie möglich benutzen oder für besondere Phasen aufheben.]=]
L["Ce caractère est affiché dans un coin de l'icône pour indiquer si la cible est à portée"] = "Dieser Text wird auf dem Icon angezeigt, um anzuzeigen ob das Ziel in Reichweite ist"
-- L["Click to select the script."] = ""
L["Cliquer pour afficher/cacher les options"] = "Klicken, um Optionen anzuzeigen/zu verbergen"
L["Code"] = "Code"
L["Copier sur Script personnalisé"] = "In eigenes Skript kopieren"
L["Correction de la latence"] = "Latenzkorrektur"
L["Debug aura"] = "Aura-Management nachverfolgen"
L["Debug compile"] = "Wenn das Skript übersetzt wird, nachverfolgen"
L["Debug enemies"] = "Feinderkennung nachverfolgen"
L["Debug GUID"] = "Änderungen in der UnitID/GUID-Paarung nachverfolgen"
L["Debug missing spells"] = "Warnen, wenn eine bekannte Spell-ID benutzt wird, die nicht im Zauberbuch vorhanden ist."
L["Debug unknown spells"] = "Warnen, wenn eine unbekannte Spell-ID im Skript verwendet wird."
L["Décalage horizontal des options"] = "Optionen horizontal verschieben"
L["Décalage vertical des options"] = "Optionen vertikal verschieben"
L["Défilement"] = "Scrollend"
L["Ecraser le Script personnalisé préexistant?"] = "Existierendes eigenes Skript überschreiben?"
L["En combat uniquement"] = "Nur im Kampf anzeigen"
L["Focus"] = "Fokus"
L["Groupe d'icônes"] = "Icon-Gruppe"
L["Icône"] = "Icon"
L["Ignorer les clics souris"] = "Mausklicks ignorieren"
L["Illuminer l'icône"] = "Icon hervorheben"
L["Illuminer l'icône quand la technique doit être spammée"] = "Icon hervorheben, wenn Fähigkeit gespammt werden sollte"
L["Illuminer l'icône quand le temps de recharge est écoulé"] = "Icon blinken lassen, wenn die Fähigkeit bereit ist"
L["Inverser la boîte à cocher "] = "Checkbox umschalten"
-- L["Lag (in milliseconds) between when an spell is cast and when the affected aura is applied or removed"] = ""
L["La taille des icônes"] = "Die Icongröße"
L["La taille des petites icônes"] = "Die Größe der kleinen Icons"
L["La taille des polices"] = "Die Schriftgröße"
L["Les icônes se déplacent"] = "Die Icons scrollen"
L["main"] = "Hauptangriff"
L["mana"] = "Managewinn"
L["Marge entre deux icônes"] = "Abstand zwischen den Icons"
L["moving"] = "Angriffe während der Bewegung"
L["multidot"] = "Schaden über Zeit auf mehreren Zielen"
L["None"] = "Nichts"
-- L["not_in_melee_range"] = ""
L["offgcd"] = [=[Fähigkeit ohne globalem Cooldown.
Neben dem Hauptangriff benutzen.]=]
L["Opacité des icônes"] = "Undurchsichtigkeit der Icons"
L["Opacité des options"] = "Undurchsichtigkeit der Optionen"
L["Options"] = "Auswahl"
-- L["predict"] = ""
L["Prédictif"] = "Zwei Fähigkeiten"
L["Raccourcis clavier"] = "Tastaturkürzel"
-- L["Right-Click for options."] = ""
L["Script"] = "Skript"
L["Script personnalisé"] = "Eigenes Skript"
L["shortcd"] = [=[Fähigkeiten mit kurzer Abklingzeit
Benutzen, sobald sie bereit sind.]=]
-- L["Show hidden"] = ""
L["Show the icon of the next spell to cast"] = "Zeige das Icon der nächsten zu benutzenden Fähigkeit"
L["showwait"] = "Zeige das Warte-Icon"
L["Si cible uniquement"] = "nur mit Ziel"
-- L["summon_pet"] = ""
L["Taille des icônes"] = "Icongröße"
L["Taille des petites icônes"] = "Größe der kleinen Icons"
L["Taille des polices"] = "Schriftgröße"
L["Taille du second icône"] = "Größe des zweiten Icons"
L["Verrouiller position"] = "Position sperren"
L["Vertical"] = "Vertikal"
L["Visibilité"] = "Sichtbarkeit"

local locale = GetLocale()

------------------------ Locale: enUS ------------------------
elseif locale == "enUS" then

L["Affichage numérique"] = "Numeric display"
L["Affiche les deux prochains sorts et pas uniquement le suivant"] = "Display two abilities and not only one"
L["Affiche le temps de recharge sous forme numérique"] = "Show the remaining time in numerical form"
L["Afficher la fenêtre"] = "Show Ovale"
L["Afficher les raccourcis clavier dans le coin inférieur gauche des icônes"] = "Show keyboard shortcuts in the icon bottom-left corner"
L["aoe"] = [=[Attack multiple targets.
Adapts to the total number of enemies.]=]
L["AOE"] = "Multiple-targets rotation"
L["Apparence"] = "Appearance"
L["Aura lag"] = "Aura lag"
L["Blood"] = "Blood"
L["buff"] = "Buffs"
L["Cacher bouton vide"] = "Hide empty buttons"
L["Cacher dans les véhicules"] = "Hide in vehicles"
L["Cacher la fenêtre"] = "Hide Ovale"
L["Cacher si cible amicale ou morte"] = "Hide if friendly or dead target"
L["Caractère de portée"] = "Range indicator"
L["cd"] = [=[Long cooldown abilities.
Cast as soon as possible or for increased-damage phases.]=]
L["Ce caractère est affiché dans un coin de l'icône pour indiquer si la cible est à portée"] = "This text is displayed on the icon to show if the target is in range"
L["Click to select the script."] = "Click to select the script."
L["Cliquer pour afficher/cacher les options"] = "Click to hide/show options"
L["Code"] = "Code"
L["Copier sur Script personnalisé"] = "Copy to custom script"
L["Correction de la latence"] = "Latency correction"
L["Debug aura"] = "Track aura management."
L["Debug compile"] = "Track when the script is compiled."
L["Debug enemies"] = "Track enemy detection."
L["Debug GUID"] = "Track changes to the UnitID/GUID pairings."
L["Debug missing spells"] = "Warn if a known spell ID is used that is missing from the spellbook."
L["Debug unknown spells"] = "Warn if an unknown spell ID is used in the script."
L["Décalage horizontal des options"] = "Options horizontal shift"
L["Décalage vertical des options"] = "Options vertical shift"
L["Défilement"] = "Scrolling"
L["Ecraser le Script personnalisé préexistant?"] = "Overwrite existing custom script?"
L["En combat uniquement"] = "Show in combat only"
L["Focus"] = "Focus"
L["Groupe d'icônes"] = "Icon group"
L["Icône"] = "Icon"
L["Ignorer les clics souris"] = "Ignore mouse clicks"
L["Illuminer l'icône"] = "Highlight icon"
L["Illuminer l'icône quand la technique doit être spammée"] = "Hightlight icon when ability should be spammed"
L["Illuminer l'icône quand le temps de recharge est écoulé"] = "Flash the icon when the ability is ready"
L["Inverser la boîte à cocher "] = "Toggle check box"
L["Lag (in milliseconds) between when an spell is cast and when the affected aura is applied or removed"] = "Lag (in milliseconds) between when an spell is cast and when the affected aura is applied or removed"
L["La taille des icônes"] = "The icons scale"
L["La taille des petites icônes"] = "The small icons scale"
L["La taille des polices"] = "The font scale"
L["Les icônes se déplacent"] = "Scroll the icons"
L["main"] = "Main attack"
L["mana"] = "Mana gain"
L["Marge entre deux icônes"] = "Margin between icons"
L["moving"] = "Attacks to use while moving"
L["multidot"] = "Damage-over-time on multiple targets"
L["None"] = "None"
L["not_in_melee_range"] = "Not in melee range"
L["offgcd"] = [=[Out of global cooldown ability.
Cast alongside your main attack.]=]
L["Opacité des icônes"] = "Icons opacity"
L["Opacité des options"] = "Options opacity"
L["Options"] = "Options"
L["predict"] = "Next non-filler attack."
L["Prédictif"] = "Two abilities"
L["Raccourcis clavier"] = "Keyboard shortcuts"
L["Right-Click for options."] = "Right-Click for options."
L["Script"] = "Script"
L["Script personnalisé"] = "Custom script"
L["shortcd"] = [=[Short cooldown abilities.
Cast as soon as possible.]=]
L["Show hidden"] = "Show hidden"
L["Show the icon of the next spell to cast"] = "Show the icon of the next spell to cast"
L["showwait"] = "Show the wait icon"
L["Si cible uniquement"] = "If has target"
L["summon_pet"] = "Summon pet."
L["Taille des icônes"] = "Icon scale"
L["Taille des petites icônes"] = "Small icon scale"
L["Taille des polices"] = "Font scale"
L["Taille du second icône"] = "Second icon size"
L["Verrouiller position"] = "Lock position"
L["Vertical"] = "Vertical"
L["Visibilité"] = "Visibility"

local locale = GetLocale()

------------------------ Locale: esES ------------------------
elseif locale == "esES" then

-- L["Affichage numérique"] = ""
L["Affiche les deux prochains sorts et pas uniquement le suivant"] = "Mostrar dos habilidades y no solo una" -- Needs review
L["Affiche le temps de recharge sous forme numérique"] = "Ver tiempo restante de forma numérica" -- Needs review
L["Afficher la fenêtre"] = "Mostrar Ovale" -- Needs review
L["Afficher les raccourcis clavier dans le coin inférieur gauche des icônes"] = "Mostrar atajo de teclado en la esquina inferior izquierda del icono" -- Needs review
-- L["aoe"] = ""
L["AOE"] = "Area de Efecto" -- Needs review
L["Apparence"] = "Apariencia" -- Needs review
-- L["Aura lag"] = ""
L["Blood"] = "Sangre" -- Needs review
-- L["buff"] = ""
L["Cacher bouton vide"] = "Ocultar botones vacios" -- Needs review
L["Cacher dans les véhicules"] = "Ocultar en vehiculo" -- Needs review
L["Cacher la fenêtre"] = "Ocultar Ovale" -- Needs review
L["Cacher si cible amicale ou morte"] = "Ocultar si aliado o Objetivo muerto" -- Needs review
L["Caractère de portée"] = "Indicador de rango" -- Needs review
-- L["cd"] = ""
L["Ce caractère est affiché dans un coin de l'icône pour indiquer si la cible est à portée"] = "El texto del icono se mostrará si el objetivo esta en rango" -- Needs review
-- L["Click to select the script."] = ""
L["Cliquer pour afficher/cacher les options"] = "Click para Ocultar/ver opciones" -- Needs review
L["Code"] = "Código" -- Needs review
-- L["Copier sur Script personnalisé"] = ""
L["Correction de la latence"] = "Correción de latencia" -- Needs review
-- L["Debug aura"] = ""
-- L["Debug compile"] = ""
-- L["Debug enemies"] = ""
-- L["Debug GUID"] = ""
-- L["Debug missing spells"] = ""
-- L["Debug unknown spells"] = ""
-- L["Décalage horizontal des options"] = ""
-- L["Décalage vertical des options"] = ""
L["Défilement"] = "rueda de avance" -- Needs review
-- L["Ecraser le Script personnalisé préexistant?"] = ""
L["En combat uniquement"] = "Mostrar solo en combate" -- Needs review
L["Focus"] = "Foco" -- Needs review
-- L["Groupe d'icônes"] = ""
-- L["Icône"] = ""
L["Ignorer les clics souris"] = "Ignorar clic del ratón" -- Needs review
L["Illuminer l'icône"] = "Ilumina el icono" -- Needs review
L["Illuminer l'icône quand la technique doit être spammée"] = "Ilumina el icono cuando la habilidad debe ser presionada repetidamente" -- Needs review
L["Illuminer l'icône quand le temps de recharge est écoulé"] = "flas en el icono cuando la habilidad esta lista" -- Needs review
-- L["Inverser la boîte à cocher "] = ""
-- L["Lag (in milliseconds) between when an spell is cast and when the affected aura is applied or removed"] = ""
-- L["La taille des icônes"] = ""
-- L["La taille des petites icônes"] = ""
-- L["La taille des polices"] = ""
-- L["Les icônes se déplacent"] = ""
-- L["main"] = ""
-- L["mana"] = ""
-- L["Marge entre deux icônes"] = ""
-- L["moving"] = ""
-- L["multidot"] = ""
-- L["None"] = ""
-- L["not_in_melee_range"] = ""
-- L["offgcd"] = ""
-- L["Opacité des icônes"] = ""
-- L["Opacité des options"] = ""
-- L["Options"] = ""
-- L["predict"] = ""
-- L["Prédictif"] = ""
-- L["Raccourcis clavier"] = ""
-- L["Right-Click for options."] = ""
-- L["Script"] = ""
-- L["Script personnalisé"] = ""
-- L["shortcd"] = ""
-- L["Show hidden"] = ""
-- L["Show the icon of the next spell to cast"] = ""
-- L["showwait"] = ""
-- L["Si cible uniquement"] = ""
-- L["summon_pet"] = ""
-- L["Taille des icônes"] = ""
-- L["Taille des petites icônes"] = ""
-- L["Taille des polices"] = ""
-- L["Taille du second icône"] = ""
-- L["Verrouiller position"] = ""
-- L["Vertical"] = ""
-- L["Visibilité"] = ""

local locale = GetLocale()

------------------------ Locale: esMX ------------------------
elseif locale == "esMX" then

-- L["Affichage numérique"] = ""
-- L["Affiche les deux prochains sorts et pas uniquement le suivant"] = ""
-- L["Affiche le temps de recharge sous forme numérique"] = ""
-- L["Afficher la fenêtre"] = ""
-- L["Afficher les raccourcis clavier dans le coin inférieur gauche des icônes"] = ""
-- L["aoe"] = ""
-- L["AOE"] = ""
-- L["Apparence"] = ""
-- L["Aura lag"] = ""
-- L["Blood"] = ""
-- L["buff"] = ""
-- L["Cacher bouton vide"] = ""
-- L["Cacher dans les véhicules"] = ""
-- L["Cacher la fenêtre"] = ""
-- L["Cacher si cible amicale ou morte"] = ""
-- L["Caractère de portée"] = ""
-- L["cd"] = ""
-- L["Ce caractère est affiché dans un coin de l'icône pour indiquer si la cible est à portée"] = ""
-- L["Click to select the script."] = ""
-- L["Cliquer pour afficher/cacher les options"] = ""
-- L["Code"] = ""
-- L["Copier sur Script personnalisé"] = ""
-- L["Correction de la latence"] = ""
-- L["Debug aura"] = ""
-- L["Debug compile"] = ""
-- L["Debug enemies"] = ""
-- L["Debug GUID"] = ""
-- L["Debug missing spells"] = ""
-- L["Debug unknown spells"] = ""
-- L["Décalage horizontal des options"] = ""
-- L["Décalage vertical des options"] = ""
-- L["Défilement"] = ""
-- L["Ecraser le Script personnalisé préexistant?"] = ""
-- L["En combat uniquement"] = ""
-- L["Focus"] = ""
-- L["Groupe d'icônes"] = ""
-- L["Icône"] = ""
-- L["Ignorer les clics souris"] = ""
-- L["Illuminer l'icône"] = ""
-- L["Illuminer l'icône quand la technique doit être spammée"] = ""
-- L["Illuminer l'icône quand le temps de recharge est écoulé"] = ""
-- L["Inverser la boîte à cocher "] = ""
-- L["Lag (in milliseconds) between when an spell is cast and when the affected aura is applied or removed"] = ""
-- L["La taille des icônes"] = ""
-- L["La taille des petites icônes"] = ""
-- L["La taille des polices"] = ""
-- L["Les icônes se déplacent"] = ""
-- L["main"] = ""
-- L["mana"] = ""
-- L["Marge entre deux icônes"] = ""
-- L["moving"] = ""
-- L["multidot"] = ""
-- L["None"] = ""
-- L["not_in_melee_range"] = ""
-- L["offgcd"] = ""
-- L["Opacité des icônes"] = ""
-- L["Opacité des options"] = ""
-- L["Options"] = ""
-- L["predict"] = ""
-- L["Prédictif"] = ""
-- L["Raccourcis clavier"] = ""
-- L["Right-Click for options."] = ""
-- L["Script"] = ""
-- L["Script personnalisé"] = ""
-- L["shortcd"] = ""
-- L["Show hidden"] = ""
-- L["Show the icon of the next spell to cast"] = ""
-- L["showwait"] = ""
-- L["Si cible uniquement"] = ""
-- L["summon_pet"] = ""
-- L["Taille des icônes"] = ""
-- L["Taille des petites icônes"] = ""
-- L["Taille des polices"] = ""
-- L["Taille du second icône"] = ""
-- L["Verrouiller position"] = ""
-- L["Vertical"] = ""
-- L["Visibilité"] = ""

local locale = GetLocale()

------------------------ Locale: frFR ------------------------
elseif locale == "frFR" then

L["Affichage numérique"] = "Affichage numérique"
L["Affiche les deux prochains sorts et pas uniquement le suivant"] = "Affiche les deux prochains sorts et pas uniquement le suivant"
L["Affiche le temps de recharge sous forme numérique"] = "Affiche le temps de recharge sous forme numérique"
L["Afficher la fenêtre"] = "Afficher la fenêtre"
L["Afficher les raccourcis clavier dans le coin inférieur gauche des icônes"] = "Afficher les raccourcis clavier dans le coin inférieur gauche des icônes"
L["aoe"] = "Attaque multi-cible" -- Needs review
L["AOE"] = "Multicible" -- Needs review
L["Apparence"] = "Apparence"
-- L["Aura lag"] = ""
L["Blood"] = "Saignement"
L["buff"] = "Améliorations"
L["Cacher bouton vide"] = "Cacher bouton vide"
L["Cacher dans les véhicules"] = "Cacher dans les véhicules"
L["Cacher la fenêtre"] = "Cacher la fenêtre"
L["Cacher si cible amicale ou morte"] = "Cacher si cible amicale ou morte"
L["Caractère de portée"] = "Caractère de portée"
L["cd"] = [=[Techniques à longs temps de recharge.
Lancer dès que possible ou conserver pour les phases de dégâts amplifiés.]=]
L["Ce caractère est affiché dans un coin de l'icône pour indiquer si la cible est à portée"] = "Ce caractère est affiché dans un coin de l'icône pour indiquer si la cible est à portée"
-- L["Click to select the script."] = ""
L["Cliquer pour afficher/cacher les options"] = "Cliquer pour afficher/cacher les options"
L["Code"] = "Code"
L["Copier sur Script personnalisé"] = "Copier sur Script personnalisé"
L["Correction de la latence"] = "Correction de la latence"
L["Debug aura"] = "Suivre la gestion des auras."
L["Debug compile"] = "Suivre lorsque le script est compilé."
L["Debug enemies"] = "Suivre la détection des ennemis."
L["Debug GUID"] = "Suivre les changements des paires de UnitID et GUID."
L["Debug missing spells"] = "Prévenir si le ID d'un sort qui n'est pas dans le livre de sorts est utilisé."
L["Debug unknown spells"] = "Prévenir si le ID d'un sort inconnu est utilisé dans le script."
L["Décalage horizontal des options"] = "Décalage horizontal des options"
L["Décalage vertical des options"] = "Décalage vertical des options"
L["Défilement"] = "Défilement"
L["Ecraser le Script personnalisé préexistant?"] = "Ecraser le Script personnalisé préexistant?"
L["En combat uniquement"] = "En combat uniquement"
L["Focus"] = "Focus"
L["Groupe d'icônes"] = "Groupe d'icônes"
L["Icône"] = "Icône"
L["Ignorer les clics souris"] = "Ignorer les clics souris"
L["Illuminer l'icône"] = "Illuminer l'icône"
L["Illuminer l'icône quand la technique doit être spammée"] = "Illuminer l'icône quand la technique doit être spammée"
L["Illuminer l'icône quand le temps de recharge est écoulé"] = "Illuminer l'icône quand le temps de recharge est écoulé"
L["Inverser la boîte à cocher "] = "Inverser la boîte à cocher "
-- L["Lag (in milliseconds) between when an spell is cast and when the affected aura is applied or removed"] = ""
L["La taille des icônes"] = "La taille des icônes"
L["La taille des petites icônes"] = "La taille des petites icônes"
L["La taille des polices"] = "La taille des polices"
L["Les icônes se déplacent"] = "Les icônes se déplacent"
L["main"] = "Attaque principale"
L["mana"] = "Regain de mana"
L["Marge entre deux icônes"] = "Marge entre deux icônes"
L["moving"] = "Attaques à utiliser en mouvement"
L["multidot"] = "Multicible pour DoTs"
L["None"] = "Aucun"
L["not_in_melee_range"] = "Pas à distance pour corps à corps" -- Needs review
L["offgcd"] = [=[Attaque hors temps de recharge globale.
Lancer en parallèle de l'attaque principale.]=]
L["Opacité des icônes"] = "Opacité des icônes"
L["Opacité des options"] = "Opacité des options"
L["Options"] = "Options"
-- L["predict"] = ""
L["Prédictif"] = "Deux sorts"
L["Raccourcis clavier"] = "Raccourcis clavier"
-- L["Right-Click for options."] = ""
L["Script"] = "Script"
L["Script personnalisé"] = "Script personnalisé"
L["shortcd"] = [=[Compétence à court temps de recharge.
Lancer dès que possible.]=]
-- L["Show hidden"] = ""
L["Show the icon of the next spell to cast"] = "Affiche l'icône du prochain sort à lancer"
L["showwait"] = "Montrer l'icône d'attente"
L["Si cible uniquement"] = "Si cible uniquement"
L["summon_pet"] = "Invoquer familier" -- Needs review
L["Taille des icônes"] = "Taille des icônes"
L["Taille des petites icônes"] = "Taille des petites icônes"
L["Taille des polices"] = "Taille des polices"
L["Taille du second icône"] = "Taille du second icône"
L["Verrouiller position"] = "Verrouiller position"
L["Vertical"] = "Vertical"
L["Visibilité"] = "Visibilité"

local locale = GetLocale()

------------------------ Locale: itIT ------------------------
elseif locale == "itIT" then

L["Affichage numérique"] = "Esposizione Numerica"
L["Affiche les deux prochains sorts et pas uniquement le suivant"] = "Espone due abilita' e non solo una"
L["Affiche le temps de recharge sous forme numérique"] = "Mostra il tempo rimanente in forma numerica"
L["Afficher la fenêtre"] = "Mostra Ovale"
L["Afficher les raccourcis clavier dans le coin inférieur gauche des icônes"] = "Mostra le scorciatoie da tastiera nell'icona in basso a sinistra"
L["aoe"] = "Attacchi a Bersaglio Multiplo" -- Needs review
L["AOE"] = "AdE" -- Needs review
L["Apparence"] = "Apparenza"
-- L["Aura lag"] = ""
L["Blood"] = "Sangue"
L["buff"] = "Benefici"
L["Cacher bouton vide"] = "Nascondi bottoni vuoti"
L["Cacher dans les véhicules"] = "Nascondi nei veicoli"
L["Cacher la fenêtre"] = "Nascondi Ovale"
L["Cacher si cible amicale ou morte"] = "Nascondi se il bersaglio e' amico o morto"
L["Caractère de portée"] = "Indicatori distanza"
L["cd"] = [=[Abilita' con cooldown lungo.
Lanciare quando possibile o mantenere per moltiplicare i danni un specifiche fasi.]=]
L["Ce caractère est affiché dans un coin de l'icône pour indiquer si la cible est à portée"] = "Questo testo e' mostrato sull'icona per mostrare se il bersaglio e' nel raggio d'azione"
-- L["Click to select the script."] = ""
L["Cliquer pour afficher/cacher les options"] = "Premere per nascondere/mostrare le opzioni"
L["Code"] = "Codice"
-- L["Copier sur Script personnalisé"] = ""
L["Correction de la latence"] = "Correzione Latenza"
L["Debug aura"] = "Debug aura"
L["Debug compile"] = "Debug compilazione"
L["Debug enemies"] = "Debug nemici"
L["Debug GUID"] = "Debug GUID"
L["Debug missing spells"] = "Debug instantesimi mancanti"
L["Debug unknown spells"] = "Debug Incantesimi sconosciuti"
L["Décalage horizontal des options"] = "Opzioni spostamento orizzontare"
L["Décalage vertical des options"] = "Opzioni spostamento verticale"
L["Défilement"] = "Scorrimento"
-- L["Ecraser le Script personnalisé préexistant?"] = ""
L["En combat uniquement"] = "Mostra solo in combattimento"
L["Focus"] = "Focus"
-- L["Groupe d'icônes"] = ""
-- L["Icône"] = ""
L["Ignorer les clics souris"] = "Ignora pressioni mouse"
L["Illuminer l'icône"] = "Evidenzia icona"
L["Illuminer l'icône quand la technique doit être spammée"] = "Evidenzia icona quando l'abilita' dovrebbe essere spammata"
L["Illuminer l'icône quand le temps de recharge est écoulé"] = "Illumina l'icona quando l'abilita' e' pronta"
L["Inverser la boîte à cocher "] = "Inverti spunta"
-- L["Lag (in milliseconds) between when an spell is cast and when the affected aura is applied or removed"] = ""
L["La taille des icônes"] = "La scala dell'icona"
L["La taille des petites icônes"] = "La scala dell'icona piccola"
L["La taille des polices"] = "La scala del carattere"
L["Les icônes se déplacent"] = "Scorri le icone"
L["main"] = "Attacco Principale"
L["mana"] = "Guadagno Mana"
L["Marge entre deux icônes"] = "Margine tra le icone"
L["moving"] = "in movimento"
L["multidot"] = "Danni a Tempo su bersagli multipli"
L["None"] = "Nessuno"
-- L["not_in_melee_range"] = ""
L["offgcd"] = [=[Abilita' fuori dal Cooldown globale.
Da lanciare assieme agli attacchi principali.]=]
L["Opacité des icônes"] = "Opacita' icone"
L["Opacité des options"] = "Opzioni di opacita'"
-- L["Options"] = ""
-- L["predict"] = ""
L["Prédictif"] = "Due abilita'"
L["Raccourcis clavier"] = "Scorciatoie da tastiera"
-- L["Right-Click for options."] = ""
-- L["Script"] = ""
-- L["Script personnalisé"] = ""
L["shortcd"] = "recupero corto"
-- L["Show hidden"] = ""
L["Show the icon of the next spell to cast"] = "Descrizione Add-on"
L["showwait"] = "mostra aspetta"
L["Si cible uniquement"] = "Se si ha un bersaglio"
-- L["summon_pet"] = ""
L["Taille des icônes"] = "Scala icone"
L["Taille des petites icônes"] = "Scala piccole icone"
L["Taille des polices"] = "Scala caratteri"
L["Taille du second icône"] = "Dimensione seconda icona"
L["Verrouiller position"] = "Blocca Posizione"
L["Vertical"] = "Verticale"
-- L["Visibilité"] = ""

local locale = GetLocale()

------------------------ Locale: koKR ------------------------
elseif locale == "koKR" then

L["Affichage numérique"] = "숫자 표시"
L["Affiche les deux prochains sorts et pas uniquement le suivant"] = "두번째 능력을 표시합니다."
L["Affiche le temps de recharge sous forme numérique"] = "숫자 형태로 남은 시간을 표시합니다."
L["Afficher la fenêtre"] = "Ovale 표시"
L["Afficher les raccourcis clavier dans le coin inférieur gauche des icônes"] = "아이콘 좌측 하단 코너에 단축키를 표시합니다."
L["aoe"] = "다중 대상 공격" -- Needs review
L["AOE"] = "AOE" -- Needs review
L["Apparence"] = "외형"
-- L["Aura lag"] = ""
L["Blood"] = "Blood"
L["buff"] = "버프"
L["Cacher bouton vide"] = "빈 버튼 숨김"
L["Cacher dans les véhicules"] = "차량 탑승시 숨김"
L["Cacher la fenêtre"] = "Ovale 숨김"
L["Cacher si cible amicale ou morte"] = "우호적 대상이나 죽은 대상 선택시 숨김"
L["Caractère de portée"] = "범위 지시기"
L["cd"] = [=[긴 재사용 대기시간 능력입니다.
Cast as soon as possible or keep for multiplied damage phases.]=]
L["Ce caractère est affiché dans un coin de l'icône pour indiquer si la cible est à portée"] = "이 문자는 대상이 범위에 있을때 아이콘에 표시됩니다."
-- L["Click to select the script."] = ""
L["Cliquer pour afficher/cacher les options"] = "클릭시 옵션 숨김/표시"
L["Code"] = "코드"
-- L["Copier sur Script personnalisé"] = ""
L["Correction de la latence"] = "대기시간 수정"
-- L["Debug aura"] = ""
-- L["Debug compile"] = ""
-- L["Debug enemies"] = ""
-- L["Debug GUID"] = ""
-- L["Debug missing spells"] = ""
-- L["Debug unknown spells"] = ""
L["Décalage horizontal des options"] = "가로 간격"
L["Décalage vertical des options"] = "세로 간격"
L["Défilement"] = "스크룰"
-- L["Ecraser le Script personnalisé préexistant?"] = ""
L["En combat uniquement"] = "전투 상태일때만 표시"
L["Focus"] = "주시 대상"
-- L["Groupe d'icônes"] = ""
-- L["Icône"] = ""
L["Ignorer les clics souris"] = "마우스 클릭 무시"
L["Illuminer l'icône"] = "아이콘 강조"
L["Illuminer l'icône quand la technique doit être spammée"] = "Hightlight icon when ability should be spammed"
L["Illuminer l'icône quand le temps de recharge est écoulé"] = "능력이 준비되면 아이콘을 반짝입니다."
L["Inverser la boîte à cocher "] = "체크 박스 토글"
-- L["Lag (in milliseconds) between when an spell is cast and when the affected aura is applied or removed"] = ""
L["La taille des icônes"] = "아이콘 크기"
L["La taille des petites icônes"] = "작은 아이콘의 크기를 설정합니다."
L["La taille des polices"] = "폰크 크기"
L["Les icônes se déplacent"] = "아이콘 스크룰"
L["main"] = "Main Attack"
L["mana"] = "마나 획득"
L["Marge entre deux icônes"] = "아이콘 간격"
-- L["moving"] = ""
L["multidot"] = "Damage Over Time on multiple targets"
L["None"] = "None"
-- L["not_in_melee_range"] = ""
L["offgcd"] = [=[전역 재사용 대기시간 능력입니다.
Cast alongside your Main Attack.]=]
L["Opacité des icônes"] = "아이콘 투명도"
L["Opacité des options"] = "투명도 옵션을 설정합니다."
-- L["Options"] = ""
-- L["predict"] = ""
L["Prédictif"] = "두번째 능력"
L["Raccourcis clavier"] = "키보드 단축키"
-- L["Right-Click for options."] = ""
-- L["Script"] = ""
-- L["Script personnalisé"] = ""
-- L["shortcd"] = ""
-- L["Show hidden"] = ""
-- L["Show the icon of the next spell to cast"] = ""
-- L["showwait"] = ""
L["Si cible uniquement"] = "만약 대상이 있다면"
-- L["summon_pet"] = ""
L["Taille des icônes"] = "아이콘 크기"
L["Taille des petites icônes"] = "작은 아이콘 크기"
L["Taille des polices"] = "폰트 크기"
L["Taille du second icône"] = "두번째 아이콘 크기"
L["Verrouiller position"] = "위치 잠금"
L["Vertical"] = "수직선"
-- L["Visibilité"] = ""

local locale = GetLocale()

------------------------ Locale: ptBR ------------------------
elseif locale == "ptBR" then

L["Affichage numérique"] = "Mostrar números"
L["Affiche les deux prochains sorts et pas uniquement le suivant"] = "Mostrar duas habilidades e não apenas uma"
L["Affiche le temps de recharge sous forme numérique"] = "Mostrar o tempo restante de forma numérica"
L["Afficher la fenêtre"] = "Mostrar Ovale"
L["Afficher les raccourcis clavier dans le coin inférieur gauche des icônes"] = "Mostrar atalhos do teclado canto inferior esquerdo do ícone"
L["aoe"] = "Atacar alvos múltiplos" -- Needs review
L["AOE"] = "AOE" -- Needs review
L["Apparence"] = "Aparência"
-- L["Aura lag"] = ""
L["Blood"] = "Sangue"
L["buff"] = "Buffs"
L["Cacher bouton vide"] = "Esconder botões vazios"
L["Cacher dans les véhicules"] = "Esconder em veículos"
L["Cacher la fenêtre"] = "Esconder Ovale"
L["Cacher si cible amicale ou morte"] = "Esconder se o alvo for amigável ou morto"
L["Caractère de portée"] = "Indicador de alcance"
L["cd"] = [=[Habilidades de cooldown longo.
Use assim que possível ou espere por fases com dano maior.]=]
L["Ce caractère est affiché dans un coin de l'icône pour indiquer si la cible est à portée"] = "Este texto é mostrado no ícone para apontar se o alvo está no alcance"
-- L["Click to select the script."] = ""
L["Cliquer pour afficher/cacher les options"] = "Clique para mostrar/esconder opções"
L["Code"] = "Código"
-- L["Copier sur Script personnalisé"] = ""
L["Correction de la latence"] = "Correção de latência"
-- L["Debug aura"] = ""
-- L["Debug compile"] = ""
-- L["Debug enemies"] = ""
-- L["Debug GUID"] = ""
-- L["Debug missing spells"] = ""
-- L["Debug unknown spells"] = ""
L["Décalage horizontal des options"] = "Opções de mudança horizontal"
L["Décalage vertical des options"] = "Opções de mduança vertical"
L["Défilement"] = "Rolagem"
-- L["Ecraser le Script personnalisé préexistant?"] = ""
L["En combat uniquement"] = "Mostrar só em combate"
L["Focus"] = "Foco"
-- L["Groupe d'icônes"] = ""
-- L["Icône"] = ""
L["Ignorer les clics souris"] = "Ignorar cliques do mouse"
L["Illuminer l'icône"] = "Iluminar ícone"
L["Illuminer l'icône quand la technique doit être spammée"] = "Iluminar ícone quando habilidade deverá ser spamada"
L["Illuminer l'icône quand le temps de recharge est écoulé"] = "Iluminar ícone quando habilidade estiver pronta"
L["Inverser la boîte à cocher "] = "Alternar checar caixa"
-- L["Lag (in milliseconds) between when an spell is cast and when the affected aura is applied or removed"] = ""
L["La taille des icônes"] = "Escala dos ícones"
L["La taille des petites icônes"] = "Escala dos ícones pequenos"
L["La taille des polices"] = "Escala da fonte"
L["Les icônes se déplacent"] = "Rolar os ícones"
L["main"] = "Ataque principal"
L["mana"] = "Ganho de mana"
L["Marge entre deux icônes"] = "Margem entre ícones"
-- L["moving"] = ""
L["multidot"] = "Dano Através do Tempo em múltiplos alvos"
L["None"] = "Nenhum"
-- L["not_in_melee_range"] = ""
L["offgcd"] = [=[Habilidade fora do cooldown global.
Use junto do seu Ataque Principal.]=]
L["Opacité des icônes"] = "Opacidade dos ícones"
L["Opacité des options"] = "Opacidade das opções"
-- L["Options"] = ""
-- L["predict"] = ""
L["Prédictif"] = "Duas habilidades"
L["Raccourcis clavier"] = "Atalhos do teclado"
-- L["Right-Click for options."] = ""
-- L["Script"] = ""
-- L["Script personnalisé"] = ""
-- L["shortcd"] = ""
-- L["Show hidden"] = ""
-- L["Show the icon of the next spell to cast"] = ""
-- L["showwait"] = ""
L["Si cible uniquement"] = "Se tiver alvo"
-- L["summon_pet"] = ""
L["Taille des icônes"] = "Escala do ícone"
L["Taille des petites icônes"] = "Escala do ícone pequeno"
L["Taille des polices"] = "Escala da fonte"
L["Taille du second icône"] = "Tamanho do segundo ícone"
L["Verrouiller position"] = "Travar posição"
L["Vertical"] = "Vertical"
-- L["Visibilité"] = ""

local locale = GetLocale()

------------------------ Locale: ruRU ------------------------
elseif locale == "ruRU" then

L["Affichage numérique"] = "Цифровой дисплей"
L["Affiche les deux prochains sorts et pas uniquement le suivant"] = "Показать две способности вместо одной"
L["Affiche le temps de recharge sous forme numérique"] = "Показать отсчет времени в цифровой форме"
L["Afficher la fenêtre"] = "Показать Ovale"
L["Afficher les raccourcis clavier dans le coin inférieur gauche des icônes"] = "Показывать сочетания клавиш в левом нижнем углу"
L["aoe"] = "Атака нескольких противников" -- Needs review
L["AOE"] = "Приоритет при атаке нескольких противников"
L["Apparence"] = "Внешний вид"
L["Aura lag"] = "Задержка ауры"
L["Blood"] = "Кровь"
L["buff"] = "Баффы"
L["Cacher bouton vide"] = "Скрыть пустые кнопки"
L["Cacher dans les véhicules"] = "Скрывать на транспорте"
L["Cacher la fenêtre"] = "Скрыть Ovale"
L["Cacher si cible amicale ou morte"] = "Скрывать если союзник или цель мертва"
L["Caractère de portée"] = "Индикатор дистанции"
L["cd"] = [=[Способности с большим кулдауном (временем восстановления). 
Использовать сразу, как только возможно или придерживать для фаз повышенного урона.]=]
L["Ce caractère est affiché dans un coin de l'icône pour indiquer si la cible est à portée"] = "Этот текст показывается на иконке если цель в радиусе досягаемости"
-- L["Click to select the script."] = ""
L["Cliquer pour afficher/cacher les options"] = "Нажмите, чтобы скрыть/показать опции"
L["Code"] = "Код"
L["Copier sur Script personnalisé"] = "Скопировать в Пользовательский скрипт"
L["Correction de la latence"] = "Коррекция задержки"
L["Debug aura"] = "Отслеживать управление аурами."
L["Debug compile"] = "Отслеживать компиляцию скрипта."
L["Debug enemies"] = "Отслеживать появление противников."
L["Debug GUID"] = "Отслеживать изменения в парах UnitID/GUID."
L["Debug missing spells"] = "Предупреждать, если используется ID заклинания отсутствующего в книге заклинаний"
L["Debug unknown spells"] = "Предупреждать о неизвестном ID заклинания в скрипте."
L["Décalage horizontal des options"] = "Горизонтальное смещение опций"
L["Décalage vertical des options"] = "Вертикальное смещение опций"
L["Défilement"] = "Прокрутка (Скроллинг)"
L["Ecraser le Script personnalisé préexistant?"] = "Перезаписать существующий Пользовательский скрипт?"
L["En combat uniquement"] = "Показывать только в бою"
L["Focus"] = "Фокус"
L["Groupe d'icônes"] = "Группа иконок"
L["Icône"] = "Иконка"
L["Ignorer les clics souris"] = "Игнорировать клики мыши"
L["Illuminer l'icône"] = "Подсветка иконок"
L["Illuminer l'icône quand la technique doit être spammée"] = "Подсвечивать иконки когда способность должна \"спамиться\""
L["Illuminer l'icône quand le temps de recharge est écoulé"] = "Мигать когда способность готова"
L["Inverser la boîte à cocher "] = "Переключить флажок"
L["Lag (in milliseconds) between when an spell is cast and when the affected aura is applied or removed"] = "Задержка (в милисекундах) между произнесением заклинания и применением/пропаданием ауры"
L["La taille des icônes"] = "Размер иконок"
L["La taille des petites icônes"] = "Размер маленьких иконок"
L["La taille des polices"] = "Размер шрифта"
L["Les icônes se déplacent"] = "Переместить иконки"
L["main"] = "Основная атака"
L["mana"] = "Мана (очки маны)"
L["Marge entre deux icônes"] = "Расстояние между иконками"
L["moving"] = "Атаки, используемые при движении"
L["multidot"] = "ДОТы на нескольких целях"
L["None"] = "Нет"
L["not_in_melee_range"] = "Вне радиуса ближней атаки"
L["offgcd"] = [=[Не участвуют в глобальном КД.
Активируются вне зависимости от Ваших атак.
]=]
L["Opacité des icônes"] = "Прозрачность иконок"
L["Opacité des options"] = "Прозрачность настроек"
L["Options"] = "Опции"
L["predict"] = "Следующая не \"заполняющая\" атака."
L["Prédictif"] = "Две способности"
L["Raccourcis clavier"] = "Горячие клавиши"
-- L["Right-Click for options."] = ""
L["Script"] = "Скрипт"
L["Script personnalisé"] = "Пользовательский скрипт"
L["shortcd"] = [=[Способности с малым временем восстановления.
Используются так часто, как только возможно.]=]
L["Show hidden"] = "показать скрытые скрипты"
L["Show the icon of the next spell to cast"] = "Показывать иконку следующего произносимого заклинания"
L["showwait"] = "Показывать иконку ожидания"
L["Si cible uniquement"] = "Если выбрана цель"
L["summon_pet"] = "Призвать питомца."
L["Taille des icônes"] = "Размер иконки"
L["Taille des petites icônes"] = "Масштаб маленькой иконки"
L["Taille des polices"] = "Размер шрифта"
L["Taille du second icône"] = "Размер второй иконки"
L["Verrouiller position"] = "Блокировка позиции"
L["Vertical"] = "Вертикально"
L["Visibilité"] = "Показывать"

local locale = GetLocale()

------------------------ Locale: zhCN ------------------------
elseif locale == "zhCN" then

L["Affichage numérique"] = "数字显示"
L["Affiche les deux prochains sorts et pas uniquement le suivant"] = "显示下2个需要释放的技能而不仅是1个"
L["Affiche le temps de recharge sous forme numérique"] = "用数字显示剩余时间"
L["Afficher la fenêtre"] = "显示Ovale"
L["Afficher les raccourcis clavier dans le coin inférieur gauche des icônes"] = "在图标左下角显示快捷键"
L["aoe"] = "多目标攻击" -- Needs review
L["AOE"] = "范围性" -- Needs review
L["Apparence"] = "环境"
-- L["Aura lag"] = ""
L["Blood"] = "血"
L["buff"] = "增益"
L["Cacher bouton vide"] = "隐藏空按钮的背景"
L["Cacher dans les véhicules"] = "在载具中隐藏"
L["Cacher la fenêtre"] = "隐藏  Ovale"
L["Cacher si cible amicale ou morte"] = "如果是友方或已死亡目标则隐藏"
L["Caractère de portée"] = "距离指示器"
L["cd"] = [=[长CD的技能与物品。
需要爆发的时候使用技能或保持效果。]=]
L["Ce caractère est affiché dans un coin de l'icône pour indiquer si la cible est à portée"] = "显示在技能图标上的符号以检测与目标的距离"
-- L["Click to select the script."] = ""
L["Cliquer pour afficher/cacher les options"] = "点击来隐藏/显示选项"
L["Code"] = "代码"
L["Copier sur Script personnalisé"] = "复制到自定义脚本"
L["Correction de la latence"] = "延迟修正"
L["Debug aura"] = "追踪光环管理."
L["Debug compile"] = "追踪已编译脚本."
L["Debug enemies"] = "追踪敌人侦测."
L["Debug GUID"] = "追踪UnitID/GUID配对变化."
L["Debug missing spells"] = "使用的已知法术ID在法术书中无法找到时提醒."
L["Debug unknown spells"] = "脚本中使用了未知的法术ID时提醒."
L["Décalage horizontal des options"] = "选项水平移位"
L["Décalage vertical des options"] = "选项垂直移位"
L["Défilement"] = "滑动动画显示下一个技能"
L["Ecraser le Script personnalisé préexistant?"] = "覆盖已存在的自定义脚本?"
L["En combat uniquement"] = "仅在战斗中显示"
L["Focus"] = "焦点"
L["Groupe d'icônes"] = "图标分组" -- Needs review
L["Icône"] = "图标" -- Needs review
L["Ignorer les clics souris"] = "忽略鼠标点击"
L["Illuminer l'icône"] = "高亮图标"
L["Illuminer l'icône quand la technique doit être spammée"] = "高亮技能图标"
L["Illuminer l'icône quand le temps de recharge est écoulé"] = "技能就绪时闪烁图标"
L["Inverser la boîte à cocher "] = "开启/关闭选择框"
-- L["Lag (in milliseconds) between when an spell is cast and when the affected aura is applied or removed"] = ""
L["La taille des icônes"] = "图标的缩放"
L["La taille des petites icônes"] = "小图标的缩放"
L["La taille des polices"] = "字体的缩放"
L["Les icônes se déplacent"] = "滚动图标"
L["main"] = "主要攻击技能"
L["mana"] = "法力获取"
L["Marge entre deux icônes"] = "图标的间距"
L["moving"] = "移动中使用攻击"
L["multidot"] = "多目标持续伤害"
L["None"] = "无"
-- L["not_in_melee_range"] = ""
L["offgcd"] = [=[无公共冷却的技能与物品
可以在你使用主攻技能的同时使用。]=]
L["Opacité des icônes"] = "图标透明度"
L["Opacité des options"] = "选项透明度"
L["Options"] = "选项" -- Needs review
-- L["predict"] = ""
L["Prédictif"] = "双技能"
L["Raccourcis clavier"] = "键盘快捷键"
-- L["Right-Click for options."] = ""
L["Script"] = "脚本"
L["Script personnalisé"] = "自定义脚本"
L["shortcd"] = [=[短冷却技能.
尽早施放.]=]
-- L["Show hidden"] = ""
L["Show the icon of the next spell to cast"] = "显示下一个需要施放的技能的图标"
L["showwait"] = "显示等待图标"
L["Si cible uniquement"] = "如有目标"
-- L["summon_pet"] = ""
L["Taille des icônes"] = "图标缩放"
L["Taille des petites icônes"] = "小图标缩放"
L["Taille des polices"] = "字体缩放"
L["Taille du second icône"] = "第二图标大小"
L["Verrouiller position"] = "锁定位置"
L["Vertical"] = "垂直"
L["Visibilité"] = "可见设置" -- Needs review

local locale = GetLocale()

------------------------ Locale: zhTW ------------------------
elseif locale == "zhTW" then

L["Affichage numérique"] = "數字顯示"
L["Affiche les deux prochains sorts et pas uniquement le suivant"] = "顯示兩排技能圖示"
L["Affiche le temps de recharge sous forme numérique"] = "技能剩餘時間以數字顯示"
L["Afficher la fenêtre"] = "顯示窗口"
L["Afficher les raccourcis clavier dans le coin inférieur gauche des icônes"] = "顯示快捷鍵上左下角的遠近提醒小圖示"
L["aoe"] = "範圍攻擊" -- Needs review
L["AOE"] = "範圍攻擊" -- Needs review
L["Apparence"] = "框架外觀設定"
-- L["Aura lag"] = ""
L["Blood"] = "血量"
L["buff"] = "提示能施放的增益法術"
L["Cacher bouton vide"] = "隱藏空按鈕"
L["Cacher dans les véhicules"] = "騎乘時隱藏"
L["Cacher la fenêtre"] = "隱藏窗口"
L["Cacher si cible amicale ou morte"] = "隱藏友好或已死亡的目標"
L["Caractère de portée"] = "範圍提醒"
L["cd"] = "顯示能使用的大絕招"
L["Ce caractère est affiché dans un coin de l'icône pour indiquer si la cible est à portée"] = "自訂一段文字，如果目標是在範圍內，這段文字會在圖示上顯示提醒你"
-- L["Click to select the script."] = ""
L["Cliquer pour afficher/cacher les options"] = "點擊隱藏/顯示 副選項"
L["Code"] = "腳本"
L["Copier sur Script personnalisé"] = "複製到自訂腳本"
L["Correction de la latence"] = "延遲校正"
L["Debug aura"] = "追蹤光環管理."
L["Debug compile"] = "追蹤已編譯腳本."
L["Debug enemies"] = "追蹤敵人偵測."
L["Debug GUID"] = "追蹤UnitID/GUID配對變化."
L["Debug missing spells"] = "使用的已知法術ID在法術書中無法找到時提醒."
L["Debug unknown spells"] = "腳本中使用了未知法術ID時提醒."
L["Décalage horizontal des options"] = "水平移動框架"
L["Décalage vertical des options"] = "垂直移動框架"
L["Défilement"] = "滾動圖示"
L["Ecraser le Script personnalisé préexistant?"] = "覆寫已存在自訂腳本?"
L["En combat uniquement"] = "只在戰鬥中顯示"
L["Focus"] = "專注目標"
L["Groupe d'icônes"] = "圖示群組" -- Needs review
L["Icône"] = "圖示" -- Needs review
L["Ignorer les clics souris"] = "忽略鼠標點擊"
L["Illuminer l'icône"] = "高亮圖示框架"
L["Illuminer l'icône quand la technique doit être spammée"] = "當技能能使用時閃光圖示邊框"
L["Illuminer l'icône quand le temps de recharge est écoulé"] = "當圖示變亮時,表示技能可以使用了"
L["Inverser la boîte à cocher "] = "切換副選框"
-- L["Lag (in milliseconds) between when an spell is cast and when the affected aura is applied or removed"] = ""
L["La taille des icônes"] = "調整圖示大小"
L["La taille des petites icônes"] = "調整小圖示大小"
L["La taille des polices"] = "調整字體大小"
L["Les icônes se déplacent"] = "圖示以滾動方式顯示"
L["main"] = "主要攻擊"
L["mana"] = "法術增益"
L["Marge entre deux icônes"] = "圖示間距"
L["moving"] = "移動中使用攻擊"
L["multidot"] = "對多目標攻擊"
L["None"] = "無"
-- L["not_in_melee_range"] = ""
L["offgcd"] = "隱藏能使用的大絕招."
L["Opacité des icônes"] = "圖示透明度"
L["Opacité des options"] = "選項透明度"
L["Options"] = "選項" -- Needs review
-- L["predict"] = ""
L["Prédictif"] = "預測"
L["Raccourcis clavier"] = "顯示快捷鍵"
-- L["Right-Click for options."] = ""
L["Script"] = "腳本"
L["Script personnalisé"] = "自訂腳本"
L["shortcd"] = [=[短冷卻技能.
儘速施放.]=]
-- L["Show hidden"] = ""
L["Show the icon of the next spell to cast"] = "顯示下一個需要施放的技能的圖標"
L["showwait"] = "顯示等待圖標"
L["Si cible uniquement"] = "有目標才顯示"
-- L["summon_pet"] = ""
L["Taille des icônes"] = "圖示大小"
L["Taille des petites icônes"] = "小圖示大小"
L["Taille des polices"] = "字體大小"
L["Taille du second icône"] = "第二圖示大小"
L["Verrouiller position"] = "鎖定圖示位置"
L["Vertical"] = "垂直圖示"
L["Visibilité"] = "可見設定" -- Needs review

end
